Implement Language in Lexeme
Closed, ResolvedPublic

Description

Per https://www.wikidata.org/wiki/Wikidata:Wiktionary/Development/Proposals/2015-05

We talked about it with @WMDE-leszek and we think Language should be items.

  • Add provider interface
  • Add to entity as an attribute and add getter and setter
  • Add to Special:NewEntity
  • Consider in equals() method
  • Consider in __clone() method
  • Consider in isEmpty() method
  • Add to serializer
  • Add to deserializer
  • Add to patcher
  • Add to differ
  • Add support in EntityView
  • Add to RDF mapping (not currently pluggable!)
  • Add Validation (not currently pluggable)
  • Add ChangeOp for updating (must work with wbeditentity)
  • Add handling (or suppression) to EntityChangeFactory (not currently pluggable)
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 29 2016, 9:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 29 2016, 9:18 PM
daniel triaged this task as Normal priority.Oct 31 2016, 4:12 PM
daniel added a subscriber: daniel.

I agree that the language should be an Item. However, if we want to treat the lemma as a Term, we would probably want to use an ISO language code. So we'll need a lookup for finding the language code for an language-item eventually.

daniel moved this task from proposed to accepted on the WMDE-TLA-Team board.Nov 1 2016, 1:38 PM
Ladsgroup moved this task from Proposed to Backlog on the Wikidata-Sprint board.Nov 18 2016, 10:56 AM
Ladsgroup moved this task from Backlog to Doing on the Wikidata-Sprint board.Dec 16 2016, 10:25 PM
Ladsgroup moved this task from Incoming to In progress on the User-Ladsgroup board.
Ladsgroup updated the task description. (Show Details)Dec 16 2016, 10:36 PM

Change 327868 had a related patch set uploaded (by Ladsgroup):
Add language

https://gerrit.wikimedia.org/r/327868

Ladsgroup moved this task from Doing to Review on the Wikidata-Sprint board.Dec 16 2016, 11:16 PM

Change 327868 merged by jenkins-bot:
Add language field to Lexeme object

https://gerrit.wikimedia.org/r/327868

Ladsgroup moved this task from Review to Doing on the Wikidata-Sprint board.Dec 20 2016, 10:39 AM

Change 328655 had a related patch set uploaded (by Ladsgroup):
[WIP] Add language and lexical category support in LexemeView

https://gerrit.wikimedia.org/r/328655

Ladsgroup updated the task description. (Show Details)Dec 22 2016, 12:13 PM
Ladsgroup moved this task from Doing to Review on the Wikidata-Sprint board.Dec 24 2016, 3:00 AM

Change 329460 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Replace misleading wikitext sytnax in LexemeViewTest

https://gerrit.wikimedia.org/r/329460

Change 328655 merged by jenkins-bot:
Add language and lexical category support in LexemeView

https://gerrit.wikimedia.org/r/328655

Ladsgroup moved this task from Review to Done on the Wikidata-Sprint board.Dec 29 2016, 1:53 AM
Ladsgroup updated the task description. (Show Details)

Change 329460 merged by jenkins-bot:
Replace misleading wikitext sytnax in LexemeViewTest

https://gerrit.wikimedia.org/r/329460

thiemowmde closed this task as Resolved.Jan 3 2017, 1:28 PM